Bug 197010 - games/whichwayisup - running dependencies
Summary: games/whichwayisup - running dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-22 21:47 UTC by Toni Ballesta
Modified: 2015-03-29 11:33 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toni Ballesta 2015-01-22 21:47:24 UTC
Installing the binary package, it comes with compiler dependencies: gcc, binutils, etc. I think that it is not needed (on a pkg binary).
Comment 1 Jan Beich freebsd_committer 2015-02-16 17:13:30 UTC
This port doesn't build anything that requires C compiler. GCC is likely pulled by devel/py-game.
Comment 2 Toni Ballesta 2015-03-01 09:08:05 UTC
Yes, sorry. Y don't know how I check it...

% pkg search -d whichway
whichwayisup-0.7.9_7:
	pango-1.36.8
	python27-2.7.9
	gtk-update-icon-cache-2.24.25
	gdk-pixbuf2-2.31.2_1
	py27-game-1.9.1_5
	glib-2.42.1
	atk-2.14.0

True, is py27-game that invoke gcc compiler, and this one invoke binutils (required but I think only for build games).

Then, is possible to drop py27-game from a theoretically binary game, like this?

Regards.
Comment 3 commit-hook freebsd_committer 2015-03-15 11:50:45 UTC
A commit references this bug:

Author: jbeich
Date: Sun Mar 15 11:50:31 UTC 2015
New revision: 381323
URL: https://svnweb.freebsd.org/changeset/ports/381323

Log:
  - Unbreak build with Clang
  - Drop USE_GCC as it's no longer required
  - Bump PORTREVISION for 10+ packages

  Differential Revision:	https://reviews.freebsd.org/D1860
  PR:		197010
  Obtained from:	https://bitbucket.org/pygame/pygame/commits/e296ada67fad
  Approved by:	mva (maintainer)

Changes:
  head/devel/py-game/Makefile
  head/devel/py-game/files/patch-src_scale__mmx64.c
Comment 4 Bartek Rutkowski freebsd_committer 2015-03-29 11:33:11 UTC
The fix has been already committed, so I am closing this PR.